{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {},
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "\u001b[2m\u001b[36m(__load_df pid=52067)\u001b[0m /usr/local/anaconda3/envs/quant/lib/python3.9/site-packages/pandas/core/arraylike.py:364: RuntimeWarning: divide by zero encountered in log\n",
      "\u001b[2m\u001b[36m(__load_df pid=52067)\u001b[0m   result = getattr(ufunc, method)(*inputs, **kwargs)\n",
      "\u001b[2m\u001b[36m(__load_df pid=52074)\u001b[0m /usr/local/anaconda3/envs/quant/lib/python3.9/site-packages/pandas/core/arraylike.py:364: RuntimeWarning: divide by zero encountered in log\n",
      "\u001b[2m\u001b[36m(__load_df pid=52074)\u001b[0m   result = getattr(ufunc, method)(*inputs, **kwargs)\n",
      "\u001b[2m\u001b[36m(__load_df pid=52071)\u001b[0m /usr/local/anaconda3/envs/quant/lib/python3.9/site-packages/pandas/core/arraylike.py:364: RuntimeWarning: divide by zero encountered in log\n",
      "\u001b[2m\u001b[36m(__load_df pid=52071)\u001b[0m   result = getattr(ufunc, method)(*inputs, **kwargs)\n",
      "\u001b[2m\u001b[36m(__load_df pid=52072)\u001b[0m /usr/local/anaconda3/envs/quant/lib/python3.9/site-packages/pandas/core/arraylike.py:364: RuntimeWarning: divide by zero encountered in log\n",
      "\u001b[2m\u001b[36m(__load_df pid=52072)\u001b[0m   result = getattr(ufunc, method)(*inputs, **kwargs)\n",
      "\u001b[2m\u001b[36m(__load_df pid=52069)\u001b[0m /usr/local/anaconda3/envs/quant/lib/python3.9/site-packages/pandas/core/arraylike.py:364: RuntimeWarning: divide by zero encountered in log\n",
      "\u001b[2m\u001b[36m(__load_df pid=52069)\u001b[0m   result = getattr(ufunc, method)(*inputs, **kwargs)\n"
     ]
    }
   ],
   "source": [
    "import pandas as pd\n",
    "import pandas_ta as ta\n",
    "from config.config import get_default_ensemble_config\n",
    "from config.preprocess import preprocess_config\n",
    "from data_loader.load_data import load_data\n",
    "import seaborn as sns\n",
    "import numpy as np\n",
    "\n",
    "model_config, training_config, data_config = get_default_ensemble_config()\n",
    "model_config, training_config, data_config = preprocess_config(model_config, training_config, data_config)\n",
    "\n",
    "data_config['target_asset'] = data_config['assets'][0]\n",
    "X, y, target_returns = load_data(**data_config)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "Index(['ADA_USD_returns', 'ADA_USD_mom_10', 'ADA_USD_mom_20', 'ADA_USD_mom_30',\n",
       "       'ADA_USD_mom_60', 'ADA_USD_mom_90', 'ADA_USD_vol_10', 'ADA_USD_vol_20',\n",
       "       'ADA_USD_vol_30', 'ADA_USD_vol_60',\n",
       "       ...\n",
       "       'msol_standard_scaling_0', 'dormancy_standard_scaling_0',\n",
       "       'liveliness_standard_scaling_0',\n",
       "       'relative_unrealized_profit_standard_scaling_0',\n",
       "       'relative_unrealized_loss_standard_scaling_0',\n",
       "       'nupl_standard_scaling_0', 'sth_nupl_standard_scaling_0',\n",
       "       'lth_nupl_standard_scaling_0', 'ssr_standard_scaling_0',\n",
       "       'bvin_standard_scaling_0'],\n",
       "      dtype='object', length=542)"
      ]
     },
     "execution_count": 3,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "X.columns"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "<AxesSubplot:>"
      ]
     },
     "execution_count": 6,
     "metadata": {},
     "output_type": "execute_result"
    },
    {
     "data": {
      "image/png": "[encoded data, 19568 characters]",
      "text/plain": [
       "<Figure size 432x288 with 1 Axes>"
      ]
     },
     "metadata": {
      "needs_background": "light"
     },
     "output_type": "display_data"
    }
   ],
   "source": [
    "X['liveliness_standard_scaling_0'].plot()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "<AxesSubplot:>"
      ]
     },
     "execution_count": 7,
     "metadata": {},
     "output_type": "execute_result"
    },
    {
     "data": {
      "image/png": "[encoded data, 19700 characters]",
      "text/plain": [
       "<Figure size 432x288 with 1 Axes>"
      ]
     },
     "metadata": {
      "needs_background": "light"
     },
     "output_type": "display_data"
    }
   ],
   "source": [
    "X['BTC_USD_returns'].plot()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "metadata": {},
   "outputs": [],
   "source": [
    "# pd.plotting.scatter_matrix(X, figsize=(12, 12));"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "interpreter": {
   "hash": "51432b8e5767c06330d9b51dfad63f9db0ea39868e37d921b9c2e277373f8d11"
  },
  "kernelspec": {
   "display_name": "Python 3.9.2 64-bit ('deeplearning': conda)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.9.7"
  },
  "orig_nbformat": 4
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
